@mixin mobile {
    @media screen and (max-width: 480px) {
        @content
    }
}

@mixin tablet {
    @media screen and (max-width: 768px) {
        @content
    }
}

@mixin laptop {
    @media screen and (max-width: 1220px) {
        @content
    }
}

body {
    font-family: 'Poppins', sans-serif;
}


$darkColor: #2f2d52;

.formContainer {
    background: linear-gradient(to right top, #65dfc9, #6cdbed);
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;

    .formWrapper {
        background: white;
        padding: 20px 60px;
        border-radius: 10px;
        display: flex;
        flex-direction: column;
        gap: 10px;
        align-items: center;

        .logo {
            color: #a8bcff;
            font-weight: bold;
            font-size: 24px;
        }

        .title {
            color: gray;
            font-size: 12px;
        }
        form {
            display: flex;
            flex-direction: column;
            gap: 15px;

            input {
                padding: 15px;
                border: none;
                border-bottom: #a7bcff;
                border-bottom: 1px solid #a8bcff;
                width: 250px;
                outline: none;

                &::placeholder {
                    color: rga(175, 175, 175);
                }
            }
            button {
                background: #7b96ec;
                color: white;
                padding: 10px;
                font-weight: 700;
                cursor: pointer;
                outline: none!important;
                border: none!important;
            }
            label {
                display: flex;
                align-items: center;
                gap: 10px;
                font-size: 12px;
                color: #a8bcff;
            }
            img {
                width: 32px;
            }

            .errMsg {
                color: red;
                font-size: 12px;
            }
        }
        p {
            color: #5d5b8d;
            font-size: 12px;
            margin-top: 10px;
        }
    }
}

.circle1,
.circle2 {
    position: absolute;
    background: white;
    background: linear-gradient(to right bottom, rgba(255,255,255, 0.9), rgba(255,255,255, 0.1));
    height: 10rem;
    width: 10rem;
    border-radius: 50%;
    z-index: 3;
}

.circle1 {
    bottom: 5vh;
    left: 10vw;
}

.circle2 {
    top: 5vh;
    right: 15vw;
}
.home {
    background: linear-gradient(to right top, #65dfc9, #6cdbed);
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;

    .container {
        border-radius: 10px;
        width: 65%;
        height: 80%;
        display: flex;
        overflow: hidden;
        background: white;
        background: linear-gradient(to right bottom, rgba(255,255,255, 0.7), rgba(255,255,255, 0.3));
        border-radius: 2rem;
        backdrop-filter: blur(2rem);
        z-index: 5;
        @include tablet {
            width: 90%;
        }
    }

    .sidebar{ 
        flex: 1;
        position: relative;
        background: rgba(255,255,255, .05);
        border: 1px solid rgba(255, 255, 255, 0.5);
        .navbar {

            display: flex;
            align-items: center;
            height: 50px;
            padding: 10px 20px;
            justify-content: space-between;
            color: #ddddd7;
            background: rgba(220,220,220, 0.2);

            .logo {
                font-weight: 700;
                @include tablet {
                    display: none;
                }
            }

            .user {
                display: flex;
                gap: 10px;
                width: 100%;
                justify-content: space-between;

                .user_profie {
                    display: flex;
                    align-items: center;
                    gap: 10px;
                    img {
                        background: #ddddd7;
                        height: 40px;
                        width: 40px;
                        border-radius: 50%;
                        object-fit: cover;
                    }
                }
            }


            button {
                border: none;
                outline: none;
                background: transparent;
                border-radius: 50%;
                padding: .25rem .5rem;
                transition: all .3s ease;
                cursor: pointer;
                i {
                    font-size: 18px;
                    color: #346476;
                }

                &:hover {
                    background: #346476;
                    color: white!important;

                    i {
                        color: white;
                    }
                }
            }
        }

        .search {
            background: rgba(220,220,220, 0.2);
            .searchForm {
                padding: 15px 20px;
                input {
                    background: transparent;
                    outline: none;
                    border: none;
                    color: gray;
                    width: 90%;
                    border-radius: 20px;
                    background: rgba(255,255,255, 0.5);
                    padding: 0.5rem;
                    box-shadow: 0 5px 5px 0 rgb(31 38 135 / 7%);
                    &::placeholder {
                        color: lightgray;
                    }
                }
            }

            .errMsg {
                padding: 10px 20px;
                color: gray;
                font-size: 12px;
            }
        }

        .userChat {
            padding: 10px 20px;
            display: flex;
            align-items: center;
            gap: 10px;
            color: white;
            cursor: pointer;
            transition: all .3s ease;
            &:hover {
                background: #346476;

                .userChatInfo {

                    p {
                        color: white;
                    }

                    span {
                        color: white;
                    }
                }
            }
            img {
                width: 50px;
                height: 50px;
                border-radius: 50%;
                object-fit: cover;
            }

            .userChatInfo {
                height: 100%;
                span {
                    font-size: 18px;
                    font-weight: 500;
                    color: #346476;
                }
                p {
                    font-size: 14px;
                    color: #97B1AB;
                    margin: 0;
                }
            }
        }
    }
    .chat {
        flex: 2;
        .chatInfo {
            background: linear-gradient(to right, rgba(220, 220, 220, 0.2), rgba(220, 220, 220, 0.15), rgba(220, 220, 220, 0.1), rgba(220, 220, 220, 0.0));
            height: 50px;
            display: flex;
            align-items: center;
            justify-content: space-between;
            padding: 10px;
            color: lightgray;

            span {
                color: #346476;
                font-weight: 500;
            }
        }

        .chatIcons {
            display: flex;
            gap: 10px;
            i {
                font-size: 1.25rem;
                cursor: pointer;
                transition: all .3s ease;
    
                &:hover {
                    color: #346476;
                }
            }
        }

        .messages {
            padding: 10px;
            height: calc(100% - 160px);
            transition: overflow 0.3s ease;
            overflow: scroll;
            overflow-x: hidden;

            .message {
                display: flex;
                gap: 20px;
                margin-bottom: 20px;
                align-items: center;

                .messageInfo {
                    display: flex;
                    flex-direction: column;
                    color: gray;
                    font-weight: 300;

                    img {
                        width: 40px;
                        height: 40px;
                        object-fit: cover;
                        border-radius: 50%;
                    }
                }

                .messageContent {
                    max-width: 80%;
                    display: flex;
                    flex-direction: column;
                    gap: 10px;
                    
                    p {
                        background: rgba(255,255,255, 0.7);
                        padding: 10px 20px;
                        border-radius: 0px 10px 10px 10px;
                        max-width: max-content;
                        color: #2F4858;
                    }

                    img {
                        width: 50%;
                    }
                }

                &.owner {
                    flex-direction: row-reverse;
                    .messageContent {
                        align-items: flex-end;
                    }
                    p {
                        background: #00C8D7;
                        color: white;
                        border-radius: 10px 0 10px 10px;
                    }
                }

            }

            &::-webkit-scrollbar {
                width: 8px;
            }

            /* Track */
            &::-webkit-scrollbar-track {
                background: #f1f1f1; 
            }
            
            /* Handle */
            &::-webkit-scrollbar-thumb {
                background: #346476; 
            }
            
            /* Handle on hover */
            &::-webkit-scrollbar-thumb:hover {
                background: #346476; 
            }
        }

        .input {
            height: 50px;
            padding: 10px;
            display: flex;
            justify-content: space-between;
            align-items: center;
            background: rgba(255, 255, 255, 0.2);

            input {
                width: 100%;
                border: none;
                outline: none;
                color: #2f2d52;
                font-size: 18px;
                background: rgb(255 255 255 / 65%);
                padding: 0.75rem 1rem;
                border-radius: 20px;
                font-size: 12px;
                margin-right: 0.5rem;

                &::placeholder {
                    color: lightgray;
                }
            }

            .send {
                display: flex;
                align-items: center;
                gap: 10px;
                color: lightgray;
                i {
                    transition: all .3s ease;
                    font-size: 20px;
                    cursor: pointer;

                    &:hover {
                        color: #346476;
                    }
                }

                button {
                    border: none;
                    padding: .25rem;
                    background: transparent;
                    cursor: pointer;
                    font-size: 1rem;
                    i {
                        color: #346476;
                        transition: all .3s ease;
                        
                        &:hover {
                            font-size: 2rem;
                        }
                    }
                }
                
            }
        }
        .tech_stacks {
            margin: 0 2rem;
            display: flex;
            flex-direction: column;
            
            .stack_contents {
                display: flex;
                align-items: center;
                flex-direction: column;
                gap: 1rem;

                .tect_cards {
                    display: flex;
                    gap: 1.5rem;
                    align-items: center;
                    width: 100%;
                    background: white;
                    border-radius: 15px;
                    position: relative;
                    padding: 1rem 1.5rem;
                    box-sizing: border-box;

                    .stack_image {
                        height: 50px;
                        width: 50px;
                        img {
                            height: 100%;
                            width: 100%;
                            object-fit: cover;
                        }
                    }

                    .stack_description {
                        // line-height: 1rem;
                        width: 100%;
                        display: flex;
                        flex-direction: column;
                        gap: 7px;

                        p {
                            margin: 0;
                            padding: 0;
                        }

                        .progress_container {
                            width: 70%;
                            height: 15px;
                            background: #e2e2e2;
                            border-radius: 20px;
                            border: 1px solid #d9d9d9;
                            overflow: hidden;

                            .progress_bar {
                                background: #65DFC9;
                                height: 100%;
                                width: 50%;
                            }

                            #reactjs_progress {
                                width: 30%;
                            }

                            #sass_progress {
                                width: 20%;
                            }
                        }

                        .progress_percentage {
                            position: absolute;
                            top: 20%;
                            right: 5%;
                        }
                    }
                }
            }
        }
    }
}